@import url('/src/styles/styles.less');
@import '../calendar_mixins.less';


.calendar-navigator__title {
  .calendar__title-mixin();
}
.calendar-container {
  display: grid;
  grid-template-columns: @calendar-columns-template;
  border-radius: @lms-small-border-radius;
  border: .1em solid @gray-5;
  width: clamp(300px, 500px, 600px);
  .low-elevation-mixin();
  overflow: hidden;


  .calendar-header-container {
    grid-column-start: 1;
    grid-column-end: -1;
    background-color: lighten(@primary,20%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    .calendar-month-year-header {
      display: flex;
      width: 100%;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      padding: .3em 0;
      .calendar-control-color-mixins();
      .month-year-title {
        font-size: 1.5em;
        font-weight: bold;
      }
      .calendar-nav-button {
        font-weight: bold;
        font-size: 1em;
      }
      .calendar-nav-button:hover {
        color: ligten(blue,20%);
        font-weight: bold;
      }
    }

    .calendar-date-of-week-header {
      display: flex;
      width: 100%;
      flex-direction: row;
      .calendar-date-of-week-container-color-mixins();
      .date-of-week-title {
        width: calc(100% / 7);
        display: flex;
        justify-content: center;
        align-items: center;
        min-height: 40px;
        color: white;
      }
    }
  }

  .calendar-content {
    grid-column-start: 1;
    grid-column-end: -1;
    display: grid;
    grid-template-columns: @calendar-columns-template;
    grid-template-rows: repeat(5, @calendar-date-height-size);

    .calendar-date {
      column-span: 1;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: auto;
      border-radius: @lms-small-border-radius;
      color: @gray-7;
      .calendar-date-indicator-number {
        font-weight: bolder;
        font-size: 1.5em;
      }
    }
    .calendar-date:hover,.calendar-date:active {
      background-color: lighten(@primary,18%);
      color: whitesmoke;
    }
    .selected-date {
      background: @primary;
      color: @gray-3;
    }

    // .date-is-today {
    //   .current_date_mixin();
    // }
  }
}